<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
else $ank['id']=$user['id'];
$ank=get_user($ank['id']);

if (!isset($ank['id']) || $ank['id']==0) {header("Location: /?".SID);exit;}

$set['title']='Гостевая '.$ank['nick'];
include_once 'sys/inc/thead.php';

if (isset($_GET['otv'])) {

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


if (!isset($_GET['otv']) || $_GET['otv']==0) {header("Location: users_gb.php?id=$_GET[id]".SID);exit;}


$ank_guest=get_user($_GET['id']);
$ank_otv=get_user($_GET['otv']);
$set['title']='Гостевая '.$ank_guest['nick'].'| ответ '.$ank_otv['nick'];
include_once 'sys/inc/thead.php';

title();

if (isset($user) && isset($_POST['msg']))
{

$msg=$_POST['msg'];
if (strlen2($msg)<2)$err='Короткое сообщение';
if (strlen2($msg)>512)$err='Длина сообщения превышает предел в 512 символов';
$msg=mysql_real_escape_string($msg);

if (!isset($err))
{

mysql_query("INSERT INTO `user_gb` (`guest_id`, `who`, `id_otv`, `msg`, `time`) values('$ank_guest[id]', '$user[id]', '$ank_otv[id]', '$msg', '$time')");

if ($ank[id]!=$user[id]) {
$msgrat1="В вашей гостевой оставили [url=users_gb.php?page=end]сообщение[/url]";
mysql_query("INSERT INTO `jurnal` (`id_kont`, `msg`, `time`) values('$ank[id]', '$msgrat1', '$time')");
	}

if ($ank_guest[id]!=$ank_otv[id] && $user[id]!=$ank_otv[id]) {
$msgrat1="Вам ответили в гостевой  [url=users_gb.php?id=$ank_guest[id]&page=end]$ank_guest[nick][/url]";
mysql_query("INSERT INTO `jurnal` (`id_kont`, `msg`, `time`) values('$ank_otv[id]', '$msgrat1', '$time')");
	}

header("Location: ?id=$_GET[id]&page=end".SID);exit;
}
}

err();
aut();

echo "<form method='post' name='msge' action='?id=$ank[id]&amp;otv=$ank_otv[id]'>\n";

echo "Сообщение:<br />\n<textarea name='msg'>"; if (isset($_POST['msg'])) echo "$_POST[msg]"; echo"</textarea><br />\n";

echo "&raquo; <a href='/smiles.php'>Смайлы</a><br/>\n";
echo "<input name='post' value='Отправить' type='submit' /><br />\n";
echo "</form>\n";

echo "<div class='foot'>";
echo "<a href='/users_gb.php?id=$_GET[id]'>Назад</a>";
echo "</div>";

include_once 'sys/inc/tfoot.php';
	}

title();

if (isset($user) && isset($_POST['msg']) && isset($_GET[add]))
{

$msg=$_POST['msg'];
if (strlen2($msg)<2)$err='Короткое сообщение';
if (strlen2($msg)>512)$err='Длина сообщения превышает предел в 512 символов';
$msg=mysql_real_escape_string($msg);

if (!isset($err))
{

mysql_query("INSERT INTO `user_gb` (`guest_id`, `who`, `msg`, `time`) values('$_GET[id]', '$user[id]', '$msg', '$time')");

if ($ank[id]!=$user[id]) {
$msgrat1="В вашей гостевой оставили [url=users_gb.php?page=end]сообщение[/url]";
mysql_query("INSERT INTO `jurnal` (`id_kont`, `msg`, `time`) values('$ank[id]', '$msgrat1', '$time')");
}

header("Location: ?id=$_GET[id]&page=end".SID);
	
}
	}

if (isset($_GET['del']) && ($user[id]==$ank[id] || $user[level]>$ank[level])) {
mysql_query("DELETE FROM `user_gb` WHERE `guest_id` = '$ank[id]' AND `id` = $_GET[del]");

header("Location: ?id=$_GET[id]&page=end".SID);
exit;
	}

if (isset($_GET['del_all']) && $user[id]==$ank[id]) {
mysql_query("DELETE FROM `user_gb` WHERE `guest_id` = '$user[id]'");

header("Location: ?id=$_GET[id]&page=end".SID);
exit;
	}

err();
aut();



$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user_gb` WHERE `guest_id` = '$ank[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";

$lim=" LIMIT $start, $set[p_str]";

$q=mysql_query("SELECT * FROM `user_gb` WHERE `guest_id` = '$ank[id]' ORDER BY `time` ASC $lim");
if (mysql_num_rows($q)==0) {
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет сообщений\n";
echo "  </td>\n";
echo "   </tr>\n";
}
$post_k=$start;
while ($post = mysql_fetch_assoc($q))
{



$ank_post=get_user($post['who']);
$post_k++;

echo "   <tr>\n";




if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";

avatar($ank_post['id']);


echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";

echo "<img src='/style/themes/$set[set_them]/user/$ank_post[pol].png' alt='' />";
echo "  </td>\n";
}


echo "  <td class='p_t'>\n";
$num_post=$post_k.")\n";
echo "$num_post<a href='/info.php?id=$ank_post[id]' title='Анкета $ank_post[nick]'>$ank_post[nick]</a> ".online($ank_post['id'])." (".vremja($post['time']).")\n";

if ($user['id']==$ank['id'] || $user[level]>$ank[level]) echo "<a href='users_gb.php?id=$ank[id]&amp;del=$post[id]' title='Удалить'><img src='style/del.png' /></a>";

echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";

if (isset($post['id_otv'])) {
$ank_otv=get_user($post['id_otv']);
echo "<span class=\"ank_n\">Ответ $ank_otv[nick]:</span><br/>";
	}
echo output_text($post['msg'])."<br/>\n";
if (isset($user)) {
echo "<a href='?id=$ank[id]&amp;otv=$ank_post[id]' title='Ответить $ank_post[nick]'>Ответ</a>";
	}

echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";

if ($k_page>1)str("?id=$ank[id]&amp;",$k_page,$page); // Вывод страниц

if (isset($user)) {
echo "<form method='post' name='msge' action='?id=$ank[id]&amp;add'>\n";

echo "Сообщение:<br />\n<textarea name='msg'>"; if (isset($_POST['msg'])) echo "$_POST[msg]"; echo"</textarea><br />\n";

echo "&raquo; <a href='/smiles.php'>Смайлы</a><br/>\n";
echo "<input name='post' value='Отправить' type='submit' /><br />\n";
echo "</form>\n";
	}
else {
echo "<div class='err'>Чтобы писать в гостевых необходимо пройти Авторизацию.</div>";
	}

if ($user['id']==$ank['id']) {
echo "<div class='foot'>";
echo "<a href='users_gb.php?id=$ank[id]&amp;del_all'>Очистить гостевую</a>";
echo "</div>";
	}

include_once 'sys/inc/tfoot.php';
?>